Senior Front-end Developer @ Paris, France

Employer: Fabrika HR
Domain:
  • IT Software
  • Job type: full-time
    Job level: peste 5 years of experience
    Location:
  • BUCHAREST
  • Abroad
  • nationwide
    Updated at: 09.04.2020
    Short company description

    When we asked ourselves what we wanted this company to stand for, the answers was: We can have what we want if we can help other people get what they want.

    Requirements

    Bachelors Degree in Computer Science, Computer Engineering, related field or autodidact
    Minimum 8 years or similar experience in software development in front end technologies
    Demonstrated application development with JQuery and MVC/MVP/MVVM framework (preferably like Angular 2 and higher, React or Ember), and toolsets such as RXJS, lodash, RequireJS, etc.
    Proficient in asynchronous processing in handling state or data processing (i.e.: knowledge of promise and observable event handling are required)
    Expert in data transmission format such as JSON or XML
    A feeling for good UI/UX and putting the users needs first
    Good communications skill in English, an agile mindset, and strong problem solving skills

    Responsibilities

    As a Senior Frontend Developer, you collaborate and influence both internal and external stakeholders at all levels, while producing dynamic solutions.
    You develop application structure for the entire team; you are a team expert in client-side implementation; very heavy emphasis on including writing, diagnosing problems, getting around limitations, and creating efficiency and optimization to do things that will push the client applications capabilities to the limit.
    You actively participate in product feature and design discussions, present Front-End solutions to both technical leadership and other software engineering teams, lead code review and enforce coding standards.
    The project scope includes eCommerce sites, collaboration apps, job sites mobile apps and learning systems

    Other info

    Speaking French is not required